Inspect

Create memory

Create one durable memory. `personal` always targets the API key user's own scope.

Base URL
POST
/api/public/v1/memories

Create one durable memory. personal always targets the API key user's own scope.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Request Body

application/json
  1. body

Values are trimmed before length limits are checked.

title*Memories.MemoryTitle
Length1 <= length <= 200
content*Memories.MemoryContent

Canonical Markdown body. Directive memories must be at most 2000 characters so they can be injected in full.

Length1 <= length <= 20000
description*Memories.MemoryDescription
Length10 <= length <= 420
memory_type*Memories.MemoryType
Value in"fact""directive"
scope*"personal"
Value in"personal"
scope_id?Memories.MemoryUserId

Not supported for personal memories. Any value is rejected with 400.

Length1 <= length

Response Body

Created memory

application/json
  1. response
data*
Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/memories' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "content": "string",  "description": "stringstri",  "memory_type": "fact",  "scope": "personal"}'
Example Response
{  "data": {    "memory": {      "id": "string",      "title": "string",      "content": "string",      "description": "string",      "memoryType": "fact",      "archivedAt": "2019-08-24T14:15:22Z",      "archivedReason": "string"    },    "scope": {      "type": "personal",      "id": "string"    }  }}